package com.huimv.env.manage.saas.service.impl;

import cn.hutool.core.util.ObjectUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.huimv.env.manage.saas.dao.entity.LampConfigAll;
import com.huimv.env.manage.mapper.LampConfigAllMapper;
import com.huimv.env.manage.saas.service.ILampConfigAllService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huimv.env.manage.utils.Result;
import com.huimv.env.manage.utils.ResultCode;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.servlet.http.HttpServletRequest;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author author
 * @since 2022-10-19
 */
@Service
public class LampConfigAllServiceImpl extends ServiceImpl<LampConfigAllMapper, LampConfigAll> implements ILampConfigAllService {

    @Autowired
    private LampConfigAllMapper lampConfigAllMapper;

    @Override
    public Result listByFarmCode(Map<String, String> map, HttpServletRequest request) {
        String farmCode = map.get("farmCode");
        String unitId = map.get("unitId");

        LampConfigAll lampConfigAll = lampConfigAllMapper.selectOne(new QueryWrapper<LampConfigAll>().eq("farm_code", farmCode).eq("unit_id",unitId));
        if (ObjectUtil.isEmpty(lampConfigAll)){
            lampConfigAll = new LampConfigAll();
            lampConfigAll.setFarmCode(farmCode);
            lampConfigAll.setInitDayage(0);
            lampConfigAll.setListDayage("0,33;");
            lampConfigAll.setBoardGear(0);
            lampConfigAllMapper.insert(lampConfigAll);
        }
        Map endMap =new HashMap();
        endMap.put("initDayage",lampConfigAll.getInitDayage());
        endMap.put("listDayage",lampConfigAll.getListDayage().split(";"));
        endMap.put("boardGear",lampConfigAll.getBoardGear());
        endMap.put("farmCode",lampConfigAll.getFarmCode());

        return new Result(ResultCode.SUCCESS, endMap);
    }
}
